### Method

# WebKit NetworkSession get_itp_summary_finish

#### Declaration [src]

    GList*
    webkit_network_session_get_itp_summary_finish (
      WebKitNetworkSession* session,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish an asynchronous operation started with webkit_network_session_get_itp_summary().

Available since: | 2.40

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | A list of `WebKitITPThirdParty*`
| A `GList` of `WebKitITPThirdParty`. You must free the `GList` with `g_list_free()` and unref the `WebKitITPThirdParty`s with `webkit_itp_third_party_unref()` when you’re done with them.
| The caller of the method takes ownership of the data, and is responsible for freeing it.